<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.plugin.lets.dao.impl.BdCumandocDaoImpl">

    <resultMap id="get-BdCumandocEntity-result" type="com.hzya.frame.plugin.lets.entity.BdCumandocEntity" >
       <result property="accawmny" column="accawmny" jdbcType="VARCHAR"/>
           <result property="acclimit" column="acclimit" jdbcType="VARCHAR"/>
           <result property="acclimitcontrol" column="acclimitcontrol" jdbcType="VARCHAR"/>
           <result property="acclmtbegindate" column="acclmtbegindate" jdbcType="VARCHAR"/>
           <result property="balancemny" column="balancemny" jdbcType="VARCHAR"/>
           <result property="bp" column="bp" jdbcType="VARCHAR"/>
           <result property="busawmny" column="busawmny" jdbcType="VARCHAR"/>
           <result property="cmnecode" column="cmnecode" jdbcType="VARCHAR"/>
           <result property="cooperateflag" column="cooperateflag" jdbcType="VARCHAR"/>
           <result property="cooperatingdayfrom" column="cooperatingdayfrom" jdbcType="VARCHAR"/>
           <result property="cooperatingdayto" column="cooperatingdayto" jdbcType="VARCHAR"/>
           <result property="correspsettleunit" column="correspsettleunit" jdbcType="VARCHAR"/>
           <result property="createtime" column="createtime" jdbcType="VARCHAR"/>
           <result property="creator" column="creator" jdbcType="VARCHAR"/>
           <result property="creditcontrol" column="creditcontrol" jdbcType="VARCHAR"/>
           <result property="creditlevel" column="creditlevel" jdbcType="VARCHAR"/>
           <result property="creditlimitnum" column="creditlimitnum" jdbcType="VARCHAR"/>
           <result property="creditmny" column="creditmny" jdbcType="VARCHAR"/>
           <result property="creditmoney" column="creditmoney" jdbcType="VARCHAR"/>
           <result property="credlimitflag" column="credlimitflag" jdbcType="INTEGER"/>
           <result property="custflag" column="custflag" jdbcType="VARCHAR"/>
           <result property="custstate" column="custstate" jdbcType="INTEGER"/>
           <result property="def1" column="def1" jdbcType="VARCHAR"/>
           <result property="def10" column="def10" jdbcType="VARCHAR"/>
           <result property="def11" column="def11" jdbcType="VARCHAR"/>
           <result property="def12" column="def12" jdbcType="VARCHAR"/>
           <result property="def13" column="def13" jdbcType="VARCHAR"/>
           <result property="def14" column="def14" jdbcType="VARCHAR"/>
           <result property="def15" column="def15" jdbcType="VARCHAR"/>
           <result property="def16" column="def16" jdbcType="VARCHAR"/>
           <result property="def17" column="def17" jdbcType="VARCHAR"/>
           <result property="def18" column="def18" jdbcType="VARCHAR"/>
           <result property="def19" column="def19" jdbcType="VARCHAR"/>
           <result property="def2" column="def2" jdbcType="VARCHAR"/>
           <result property="def20" column="def20" jdbcType="VARCHAR"/>
           <result property="def21" column="def21" jdbcType="VARCHAR"/>
           <result property="def22" column="def22" jdbcType="VARCHAR"/>
           <result property="def23" column="def23" jdbcType="VARCHAR"/>
           <result property="def24" column="def24" jdbcType="VARCHAR"/>
           <result property="def25" column="def25" jdbcType="VARCHAR"/>
           <result property="def26" column="def26" jdbcType="VARCHAR"/>
           <result property="def27" column="def27" jdbcType="VARCHAR"/>
           <result property="def28" column="def28" jdbcType="VARCHAR"/>
           <result property="def29" column="def29" jdbcType="VARCHAR"/>
           <result property="def3" column="def3" jdbcType="VARCHAR"/>
           <result property="def30" column="def30" jdbcType="VARCHAR"/>
           <result property="def4" column="def4" jdbcType="VARCHAR"/>
           <result property="def5" column="def5" jdbcType="VARCHAR"/>
           <result property="def6" column="def6" jdbcType="VARCHAR"/>
           <result property="def7" column="def7" jdbcType="VARCHAR"/>
           <result property="def8" column="def8" jdbcType="VARCHAR"/>
           <result property="def9" column="def9" jdbcType="VARCHAR"/>
           <result property="developdate" column="developdate" jdbcType="VARCHAR"/>
           <result property="diffcurrflag" column="diffcurrflag" jdbcType="VARCHAR"/>
           <result property="discountrate" column="discountrate" jdbcType="VARCHAR"/>
           <result property="dr" column="dr" jdbcType="INTEGER"/>
           <result property="freeofacclmtcheck" column="freeofacclmtcheck" jdbcType="VARCHAR"/>
           <result property="freeofcremnycheck" column="freeofcremnycheck" jdbcType="VARCHAR"/>
           <result property="frozendate" column="frozendate" jdbcType="VARCHAR"/>
           <result property="frozenflag" column="frozenflag" jdbcType="VARCHAR"/>
           <result property="grade" column="grade" jdbcType="INTEGER"/>
           <result property="innerctldays" column="innerctldays" jdbcType="INTEGER"/>
           <result property="iounit" column="iounit" jdbcType="VARCHAR"/>
           <result property="isagent" column="isagent" jdbcType="VARCHAR"/>
           <result property="ispromtesettlement" column="ispromtesettlement" jdbcType="VARCHAR"/>
           <result property="linkman" column="linkman" jdbcType="VARCHAR"/>
           <result property="memo" column="memo" jdbcType="VARCHAR"/>
           <result property="mobilephone" column="mobilephone" jdbcType="VARCHAR"/>
           <result property="modifier" column="modifier" jdbcType="VARCHAR"/>
           <result property="modifytime" column="modifytime" jdbcType="VARCHAR"/>
           <result property="ordawmny" column="ordawmny" jdbcType="VARCHAR"/>
           <result property="pkCalbody" column="pk_calbody" jdbcType="VARCHAR"/>
           <result property="pkCorp" column="pk_corp" jdbcType="VARCHAR"/>
           <result property="pkCubasdoc" column="pk_cubasdoc" jdbcType="VARCHAR"/>
           <result property="pkCumandoc" column="pk_cumandoc" jdbcType="VARCHAR"/>
           <result property="pkCurrtype1" column="pk_currtype1" jdbcType="VARCHAR"/>
           <result property="pkCusmandoc2" column="pk_cusmandoc2" jdbcType="VARCHAR"/>
           <result property="pkCusmandoc3" column="pk_cusmandoc3" jdbcType="VARCHAR"/>
           <result property="pkDefbusitype" column="pk_defbusitype" jdbcType="VARCHAR"/>
           <result property="pkPayterm" column="pk_payterm" jdbcType="VARCHAR"/>
           <result property="pkPricegroupcorp" column="pk_pricegroupcorp" jdbcType="VARCHAR"/>
           <result property="pkRespdept1" column="pk_respdept1" jdbcType="VARCHAR"/>
           <result property="pkResppsn1" column="pk_resppsn1" jdbcType="VARCHAR"/>
           <result property="pkSalestru" column="pk_salestru" jdbcType="VARCHAR"/>
           <result property="pkSendtype" column="pk_sendtype" jdbcType="VARCHAR"/>
           <result property="pkSettleunit" column="pk_settleunit" jdbcType="VARCHAR"/>
           <result property="pkStordoc2" column="pk_stordoc2" jdbcType="VARCHAR"/>
           <result property="prepaidratio" column="prepaidratio" jdbcType="INTEGER"/>
           <result property="ratifydate" column="ratifydate" jdbcType="VARCHAR"/>
           <result property="sealflag" column="sealflag" jdbcType="VARCHAR"/>
           <result property="stockpriceratio" column="stockpriceratio" jdbcType="INTEGER"/>
           <result property="testsalemoney" column="testsalemoney" jdbcType="VARCHAR"/>
           <result property="ts" column="ts" jdbcType="VARCHAR"/>
        </resultMap>
    <!-- 查询的字段-->
    <sql id = "BdCumandocEntity_Base_Column_List">
        accawmny
       ,acclimit 
        ,acclimitcontrol 
        ,acclmtbegindate 
        ,balancemny 
        ,bp 
        ,busawmny 
        ,cmnecode 
        ,cooperateflag 
        ,cooperatingdayfrom 
        ,cooperatingdayto 
        ,correspsettleunit 
        ,createtime 
        ,creator 
        ,creditcontrol 
        ,creditlevel 
        ,creditlimitnum 
        ,creditmny 
        ,creditmoney 
        ,credlimitflag 
        ,custflag 
        ,custstate 
        ,def1 
        ,def10 
        ,def11 
        ,def12 
        ,def13 
        ,def14 
        ,def15 
        ,def16 
        ,def17 
        ,def18 
        ,def19 
        ,def2 
        ,def20 
        ,def21 
        ,def22 
        ,def23 
        ,def24 
        ,def25 
        ,def26 
        ,def27 
        ,def28 
        ,def29 
        ,def3 
        ,def30 
        ,def4 
        ,def5 
        ,def6 
        ,def7 
        ,def8 
        ,def9 
        ,developdate 
        ,diffcurrflag 
        ,discountrate 
        ,dr 
        ,freeofacclmtcheck 
        ,freeofcremnycheck 
        ,frozendate 
        ,frozenflag 
        ,grade 
        ,innerctldays 
        ,iounit 
        ,isagent 
        ,ispromtesettlement 
        ,linkman 
        ,memo 
        ,mobilephone 
        ,modifier 
        ,modifytime 
        ,ordawmny 
        ,pk_calbody 
        ,pk_corp 
        ,pk_cubasdoc 
        ,pk_cumandoc 
        ,pk_currtype1 
        ,pk_cusmandoc2 
        ,pk_cusmandoc3 
        ,pk_defbusitype 
        ,pk_payterm 
        ,pk_pricegroupcorp 
        ,pk_respdept1 
        ,pk_resppsn1 
        ,pk_salestru 
        ,pk_sendtype 
        ,pk_settleunit 
        ,pk_stordoc2 
        ,prepaidratio 
        ,ratifydate 
        ,sealflag 
        ,stockpriceratio 
        ,testsalemoney 
        ,ts 
     </sql>

 <!-- 查询 采用==查询 -->
 <select id="entity_list_base" resultMap="get-BdCumandocEntity-result" parameterType = "com.hzya.frame.plugin.lets.entity.BdCumandocEntity">
    select
    <include refid="BdCumandocEntity_Base_Column_List" />
    from bd_cumandoc
    <trim prefix="where" prefixOverrides="and"> 
        <if test="accawmny != null and accawmny != ''"> and accawmny = #{accawmny} </if>
            <if test="acclimit != null and acclimit != ''"> and acclimit = #{acclimit} </if>
            <if test="acclimitcontrol != null and acclimitcontrol != ''"> and acclimitcontrol = #{acclimitcontrol} </if>
            <if test="acclmtbegindate != null and acclmtbegindate != ''"> and acclmtbegindate = #{acclmtbegindate} </if>
            <if test="balancemny != null and balancemny != ''"> and balancemny = #{balancemny} </if>
            <if test="bp != null and bp != ''"> and bp = #{bp} </if>
            <if test="busawmny != null and busawmny != ''"> and busawmny = #{busawmny} </if>
            <if test="cmnecode != null and cmnecode != ''"> and cmnecode = #{cmnecode} </if>
            <if test="cooperateflag != null and cooperateflag != ''"> and cooperateflag = #{cooperateflag} </if>
            <if test="cooperatingdayfrom != null and cooperatingdayfrom != ''"> and cooperatingdayfrom = #{cooperatingdayfrom} </if>
            <if test="cooperatingdayto != null and cooperatingdayto != ''"> and cooperatingdayto = #{cooperatingdayto} </if>
            <if test="correspsettleunit != null and correspsettleunit != ''"> and correspsettleunit = #{correspsettleunit} </if>
            <if test="createtime != null and createtime != ''"> and createtime = #{createtime} </if>
            <if test="creator != null and creator != ''"> and creator = #{creator} </if>
            <if test="creditcontrol != null and creditcontrol != ''"> and creditcontrol = #{creditcontrol} </if>
            <if test="creditlevel != null and creditlevel != ''"> and creditlevel = #{creditlevel} </if>
            <if test="creditlimitnum != null and creditlimitnum != ''"> and creditlimitnum = #{creditlimitnum} </if>
            <if test="creditmny != null and creditmny != ''"> and creditmny = #{creditmny} </if>
            <if test="creditmoney != null and creditmoney != ''"> and creditmoney = #{creditmoney} </if>
            <if test="credlimitflag != null"> and credlimitflag = #{credlimitflag} </if>
            <if test="custflag != null and custflag != ''"> and custflag = #{custflag} </if>
            <if test="custstate != null"> and custstate = #{custstate} </if>
            <if test="def1 != null and def1 != ''"> and def1 = #{def1} </if>
            <if test="def10 != null and def10 != ''"> and def10 = #{def10} </if>
            <if test="def11 != null and def11 != ''"> and def11 = #{def11} </if>
            <if test="def12 != null and def12 != ''"> and def12 = #{def12} </if>
            <if test="def13 != null and def13 != ''"> and def13 = #{def13} </if>
            <if test="def14 != null and def14 != ''"> and def14 = #{def14} </if>
            <if test="def15 != null and def15 != ''"> and def15 = #{def15} </if>
            <if test="def16 != null and def16 != ''"> and def16 = #{def16} </if>
            <if test="def17 != null and def17 != ''"> and def17 = #{def17} </if>
            <if test="def18 != null and def18 != ''"> and def18 = #{def18} </if>
            <if test="def19 != null and def19 != ''"> and def19 = #{def19} </if>
            <if test="def2 != null and def2 != ''"> and def2 = #{def2} </if>
            <if test="def20 != null and def20 != ''"> and def20 = #{def20} </if>
            <if test="def21 != null and def21 != ''"> and def21 = #{def21} </if>
            <if test="def22 != null and def22 != ''"> and def22 = #{def22} </if>
            <if test="def23 != null and def23 != ''"> and def23 = #{def23} </if>
            <if test="def24 != null and def24 != ''"> and def24 = #{def24} </if>
            <if test="def25 != null and def25 != ''"> and def25 = #{def25} </if>
            <if test="def26 != null and def26 != ''"> and def26 = #{def26} </if>
            <if test="def27 != null and def27 != ''"> and def27 = #{def27} </if>
            <if test="def28 != null and def28 != ''"> and def28 = #{def28} </if>
            <if test="def29 != null and def29 != ''"> and def29 = #{def29} </if>
            <if test="def3 != null and def3 != ''"> and def3 = #{def3} </if>
            <if test="def30 != null and def30 != ''"> and def30 = #{def30} </if>
            <if test="def4 != null and def4 != ''"> and def4 = #{def4} </if>
            <if test="def5 != null and def5 != ''"> and def5 = #{def5} </if>
            <if test="def6 != null and def6 != ''"> and def6 = #{def6} </if>
            <if test="def7 != null and def7 != ''"> and def7 = #{def7} </if>
            <if test="def8 != null and def8 != ''"> and def8 = #{def8} </if>
            <if test="def9 != null and def9 != ''"> and def9 = #{def9} </if>
            <if test="developdate != null and developdate != ''"> and developdate = #{developdate} </if>
            <if test="diffcurrflag != null and diffcurrflag != ''"> and diffcurrflag = #{diffcurrflag} </if>
            <if test="discountrate != null and discountrate != ''"> and discountrate = #{discountrate} </if>
            <if test="dr != null"> and dr = #{dr} </if>
            <if test="freeofacclmtcheck != null and freeofacclmtcheck != ''"> and freeofacclmtcheck = #{freeofacclmtcheck} </if>
            <if test="freeofcremnycheck != null and freeofcremnycheck != ''"> and freeofcremnycheck = #{freeofcremnycheck} </if>
            <if test="frozendate != null and frozendate != ''"> and frozendate = #{frozendate} </if>
            <if test="frozenflag != null and frozenflag != ''"> and frozenflag = #{frozenflag} </if>
            <if test="grade != null"> and grade = #{grade} </if>
            <if test="innerctldays != null"> and innerctldays = #{innerctldays} </if>
            <if test="iounit != null and iounit != ''"> and iounit = #{iounit} </if>
            <if test="isagent != null and isagent != ''"> and isagent = #{isagent} </if>
            <if test="ispromtesettlement != null and ispromtesettlement != ''"> and ispromtesettlement = #{ispromtesettlement} </if>
            <if test="linkman != null and linkman != ''"> and linkman = #{linkman} </if>
            <if test="memo != null and memo != ''"> and memo = #{memo} </if>
            <if test="mobilephone != null and mobilephone != ''"> and mobilephone = #{mobilephone} </if>
            <if test="modifier != null and modifier != ''"> and modifier = #{modifier} </if>
            <if test="modifytime != null and modifytime != ''"> and modifytime = #{modifytime} </if>
            <if test="ordawmny != null and ordawmny != ''"> and ordawmny = #{ordawmny} </if>
            <if test="pkCalbody != null and pkCalbody != ''"> and pk_calbody = #{pkCalbody} </if>
            <if test="pkCorp != null and pkCorp != ''"> and pk_corp = #{pkCorp} </if>
            <if test="pkCubasdoc != null and pkCubasdoc != ''"> and pk_cubasdoc = #{pkCubasdoc} </if>
            <if test="pkCumandoc != null and pkCumandoc != ''"> and pk_cumandoc = #{pkCumandoc} </if>
            <if test="pkCurrtype1 != null and pkCurrtype1 != ''"> and pk_currtype1 = #{pkCurrtype1} </if>
            <if test="pkCusmandoc2 != null and pkCusmandoc2 != ''"> and pk_cusmandoc2 = #{pkCusmandoc2} </if>
            <if test="pkCusmandoc3 != null and pkCusmandoc3 != ''"> and pk_cusmandoc3 = #{pkCusmandoc3} </if>
            <if test="pkDefbusitype != null and pkDefbusitype != ''"> and pk_defbusitype = #{pkDefbusitype} </if>
            <if test="pkPayterm != null and pkPayterm != ''"> and pk_payterm = #{pkPayterm} </if>
            <if test="pkPricegroupcorp != null and pkPricegroupcorp != ''"> and pk_pricegroupcorp = #{pkPricegroupcorp} </if>
            <if test="pkRespdept1 != null and pkRespdept1 != ''"> and pk_respdept1 = #{pkRespdept1} </if>
            <if test="pkResppsn1 != null and pkResppsn1 != ''"> and pk_resppsn1 = #{pkResppsn1} </if>
            <if test="pkSalestru != null and pkSalestru != ''"> and pk_salestru = #{pkSalestru} </if>
            <if test="pkSendtype != null and pkSendtype != ''"> and pk_sendtype = #{pkSendtype} </if>
            <if test="pkSettleunit != null and pkSettleunit != ''"> and pk_settleunit = #{pkSettleunit} </if>
            <if test="pkStordoc2 != null and pkStordoc2 != ''"> and pk_stordoc2 = #{pkStordoc2} </if>
            <if test="prepaidratio != null"> and prepaidratio = #{prepaidratio} </if>
            <if test="ratifydate != null and ratifydate != ''"> and ratifydate = #{ratifydate} </if>
            <if test="sealflag != null and sealflag != ''"> and sealflag = #{sealflag} </if>
            <if test="stockpriceratio != null"> and stockpriceratio = #{stockpriceratio} </if>
            <if test="testsalemoney != null and testsalemoney != ''"> and testsalemoney = #{testsalemoney} </if>
            <if test="ts != null and ts != ''"> and ts = #{ts} </if>
            <if test="custflags!=null and custflags!=''">and custflag in (${custflags})</if>
            <if test="custcodes!=null and custcodes!=''">
                and pk_cubasdoc in (
                    select pk_cubasdoc from bd_cubasdoc where custcode in (${custcodes})
                )
            </if>
    </trim>
<!--    <if test=" sort == ''.toString() "> order by sorts asc</if>-->
<!--    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>-->
</select>
    
<!-- 查询符合条件的数量 -->
<select id="entity_count" resultType="Integer" parameterType = "com.hzya.frame.plugin.lets.entity.BdCumandocEntity">
        select  count(1)   from bd_cumandoc
    <trim prefix="where" prefixOverrides="and"> 
        <if test="accawmny != null and accawmny != ''"> and accawmny = #{accawmny} </if>
            <if test="acclimit != null and acclimit != ''"> and acclimit = #{acclimit} </if>
            <if test="acclimitcontrol != null and acclimitcontrol != ''"> and acclimitcontrol = #{acclimitcontrol} </if>
            <if test="acclmtbegindate != null and acclmtbegindate != ''"> and acclmtbegindate = #{acclmtbegindate} </if>
            <if test="balancemny != null and balancemny != ''"> and balancemny = #{balancemny} </if>
            <if test="bp != null and bp != ''"> and bp = #{bp} </if>
            <if test="busawmny != null and busawmny != ''"> and busawmny = #{busawmny} </if>
            <if test="cmnecode != null and cmnecode != ''"> and cmnecode = #{cmnecode} </if>
            <if test="cooperateflag != null and cooperateflag != ''"> and cooperateflag = #{cooperateflag} </if>
            <if test="cooperatingdayfrom != null and cooperatingdayfrom != ''"> and cooperatingdayfrom = #{cooperatingdayfrom} </if>
            <if test="cooperatingdayto != null and cooperatingdayto != ''"> and cooperatingdayto = #{cooperatingdayto} </if>
            <if test="correspsettleunit != null and correspsettleunit != ''"> and correspsettleunit = #{correspsettleunit} </if>
            <if test="createtime != null and createtime != ''"> and createtime = #{createtime} </if>
            <if test="creator != null and creator != ''"> and creator = #{creator} </if>
            <if test="creditcontrol != null and creditcontrol != ''"> and creditcontrol = #{creditcontrol} </if>
            <if test="creditlevel != null and creditlevel != ''"> and creditlevel = #{creditlevel} </if>
            <if test="creditlimitnum != null and creditlimitnum != ''"> and creditlimitnum = #{creditlimitnum} </if>
            <if test="creditmny != null and creditmny != ''"> and creditmny = #{creditmny} </if>
            <if test="creditmoney != null and creditmoney != ''"> and creditmoney = #{creditmoney} </if>
            <if test="credlimitflag != null"> and credlimitflag = #{credlimitflag} </if>
            <if test="custflag != null and custflag != ''"> and custflag = #{custflag} </if>
            <if test="custstate != null"> and custstate = #{custstate} </if>
            <if test="def1 != null and def1 != ''"> and def1 = #{def1} </if>
            <if test="def10 != null and def10 != ''"> and def10 = #{def10} </if>
            <if test="def11 != null and def11 != ''"> and def11 = #{def11} </if>
            <if test="def12 != null and def12 != ''"> and def12 = #{def12} </if>
            <if test="def13 != null and def13 != ''"> and def13 = #{def13} </if>
            <if test="def14 != null and def14 != ''"> and def14 = #{def14} </if>
            <if test="def15 != null and def15 != ''"> and def15 = #{def15} </if>
            <if test="def16 != null and def16 != ''"> and def16 = #{def16} </if>
            <if test="def17 != null and def17 != ''"> and def17 = #{def17} </if>
            <if test="def18 != null and def18 != ''"> and def18 = #{def18} </if>
            <if test="def19 != null and def19 != ''"> and def19 = #{def19} </if>
            <if test="def2 != null and def2 != ''"> and def2 = #{def2} </if>
            <if test="def20 != null and def20 != ''"> and def20 = #{def20} </if>
            <if test="def21 != null and def21 != ''"> and def21 = #{def21} </if>
            <if test="def22 != null and def22 != ''"> and def22 = #{def22} </if>
            <if test="def23 != null and def23 != ''"> and def23 = #{def23} </if>
            <if test="def24 != null and def24 != ''"> and def24 = #{def24} </if>
            <if test="def25 != null and def25 != ''"> and def25 = #{def25} </if>
            <if test="def26 != null and def26 != ''"> and def26 = #{def26} </if>
            <if test="def27 != null and def27 != ''"> and def27 = #{def27} </if>
            <if test="def28 != null and def28 != ''"> and def28 = #{def28} </if>
            <if test="def29 != null and def29 != ''"> and def29 = #{def29} </if>
            <if test="def3 != null and def3 != ''"> and def3 = #{def3} </if>
            <if test="def30 != null and def30 != ''"> and def30 = #{def30} </if>
            <if test="def4 != null and def4 != ''"> and def4 = #{def4} </if>
            <if test="def5 != null and def5 != ''"> and def5 = #{def5} </if>
            <if test="def6 != null and def6 != ''"> and def6 = #{def6} </if>
            <if test="def7 != null and def7 != ''"> and def7 = #{def7} </if>
            <if test="def8 != null and def8 != ''"> and def8 = #{def8} </if>
            <if test="def9 != null and def9 != ''"> and def9 = #{def9} </if>
            <if test="developdate != null and developdate != ''"> and developdate = #{developdate} </if>
            <if test="diffcurrflag != null and diffcurrflag != ''"> and diffcurrflag = #{diffcurrflag} </if>
            <if test="discountrate != null and discountrate != ''"> and discountrate = #{discountrate} </if>
            <if test="dr != null"> and dr = #{dr} </if>
            <if test="freeofacclmtcheck != null and freeofacclmtcheck != ''"> and freeofacclmtcheck = #{freeofacclmtcheck} </if>
            <if test="freeofcremnycheck != null and freeofcremnycheck != ''"> and freeofcremnycheck = #{freeofcremnycheck} </if>
            <if test="frozendate != null and frozendate != ''"> and frozendate = #{frozendate} </if>
            <if test="frozenflag != null and frozenflag != ''"> and frozenflag = #{frozenflag} </if>
            <if test="grade != null"> and grade = #{grade} </if>
            <if test="innerctldays != null"> and innerctldays = #{innerctldays} </if>
            <if test="iounit != null and iounit != ''"> and iounit = #{iounit} </if>
            <if test="isagent != null and isagent != ''"> and isagent = #{isagent} </if>
            <if test="ispromtesettlement != null and ispromtesettlement != ''"> and ispromtesettlement = #{ispromtesettlement} </if>
            <if test="linkman != null and linkman != ''"> and linkman = #{linkman} </if>
            <if test="memo != null and memo != ''"> and memo = #{memo} </if>
            <if test="mobilephone != null and mobilephone != ''"> and mobilephone = #{mobilephone} </if>
            <if test="modifier != null and modifier != ''"> and modifier = #{modifier} </if>
            <if test="modifytime != null and modifytime != ''"> and modifytime = #{modifytime} </if>
            <if test="ordawmny != null and ordawmny != ''"> and ordawmny = #{ordawmny} </if>
            <if test="pkCalbody != null and pkCalbody != ''"> and pk_calbody = #{pkCalbody} </if>
            <if test="pkCorp != null and pkCorp != ''"> and pk_corp = #{pkCorp} </if>
            <if test="pkCubasdoc != null and pkCubasdoc != ''"> and pk_cubasdoc = #{pkCubasdoc} </if>
            <if test="pkCumandoc != null and pkCumandoc != ''"> and pk_cumandoc = #{pkCumandoc} </if>
            <if test="pkCurrtype1 != null and pkCurrtype1 != ''"> and pk_currtype1 = #{pkCurrtype1} </if>
            <if test="pkCusmandoc2 != null and pkCusmandoc2 != ''"> and pk_cusmandoc2 = #{pkCusmandoc2} </if>
            <if test="pkCusmandoc3 != null and pkCusmandoc3 != ''"> and pk_cusmandoc3 = #{pkCusmandoc3} </if>
            <if test="pkDefbusitype != null and pkDefbusitype != ''"> and pk_defbusitype = #{pkDefbusitype} </if>
            <if test="pkPayterm != null and pkPayterm != ''"> and pk_payterm = #{pkPayterm} </if>
            <if test="pkPricegroupcorp != null and pkPricegroupcorp != ''"> and pk_pricegroupcorp = #{pkPricegroupcorp} </if>
            <if test="pkRespdept1 != null and pkRespdept1 != ''"> and pk_respdept1 = #{pkRespdept1} </if>
            <if test="pkResppsn1 != null and pkResppsn1 != ''"> and pk_resppsn1 = #{pkResppsn1} </if>
            <if test="pkSalestru != null and pkSalestru != ''"> and pk_salestru = #{pkSalestru} </if>
            <if test="pkSendtype != null and pkSendtype != ''"> and pk_sendtype = #{pkSendtype} </if>
            <if test="pkSettleunit != null and pkSettleunit != ''"> and pk_settleunit = #{pkSettleunit} </if>
            <if test="pkStordoc2 != null and pkStordoc2 != ''"> and pk_stordoc2 = #{pkStordoc2} </if>
            <if test="prepaidratio != null"> and prepaidratio = #{prepaidratio} </if>
            <if test="ratifydate != null and ratifydate != ''"> and ratifydate = #{ratifydate} </if>
            <if test="sealflag != null and sealflag != ''"> and sealflag = #{sealflag} </if>
            <if test="stockpriceratio != null"> and stockpriceratio = #{stockpriceratio} </if>
            <if test="testsalemoney != null and testsalemoney != ''"> and testsalemoney = #{testsalemoney} </if>
            <if test="ts != null and ts != ''"> and ts = #{ts} </if>
    </trim>
    <if test=" sort ==''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null "> order by ${sort} ${order}</if>
    </select>

    <!-- 分页查询列表 采用like格式 -->
<select id="entity_list_like" resultMap="get-BdCumandocEntity-result" parameterType = "com.hzya.frame.plugin.lets.entity.BdCumandocEntity">
    select
    <include refid="BdCumandocEntity_Base_Column_List" />
    from bd_cumandoc
    <trim prefix="where" prefixOverrides="and"> 
        <if test="accawmny != null and accawmny != ''"> and accawmny like concat('%',#{accawmny},'%') </if>
            <if test="acclimit != null and acclimit != ''"> and acclimit like concat('%',#{acclimit},'%') </if>
            <if test="acclimitcontrol != null and acclimitcontrol != ''"> and acclimitcontrol like concat('%',#{acclimitcontrol},'%') </if>
            <if test="acclmtbegindate != null and acclmtbegindate != ''"> and acclmtbegindate like concat('%',#{acclmtbegindate},'%') </if>
            <if test="balancemny != null and balancemny != ''"> and balancemny like concat('%',#{balancemny},'%') </if>
            <if test="bp != null and bp != ''"> and bp like concat('%',#{bp},'%') </if>
            <if test="busawmny != null and busawmny != ''"> and busawmny like concat('%',#{busawmny},'%') </if>
            <if test="cmnecode != null and cmnecode != ''"> and cmnecode like concat('%',#{cmnecode},'%') </if>
            <if test="cooperateflag != null and cooperateflag != ''"> and cooperateflag like concat('%',#{cooperateflag},'%') </if>
            <if test="cooperatingdayfrom != null and cooperatingdayfrom != ''"> and cooperatingdayfrom like concat('%',#{cooperatingdayfrom},'%') </if>
            <if test="cooperatingdayto != null and cooperatingdayto != ''"> and cooperatingdayto like concat('%',#{cooperatingdayto},'%') </if>
            <if test="correspsettleunit != null and correspsettleunit != ''"> and correspsettleunit like concat('%',#{correspsettleunit},'%') </if>
            <if test="createtime != null and createtime != ''"> and createtime like concat('%',#{createtime},'%') </if>
            <if test="creator != null and creator != ''"> and creator like concat('%',#{creator},'%') </if>
            <if test="creditcontrol != null and creditcontrol != ''"> and creditcontrol like concat('%',#{creditcontrol},'%') </if>
            <if test="creditlevel != null and creditlevel != ''"> and creditlevel like concat('%',#{creditlevel},'%') </if>
            <if test="creditlimitnum != null and creditlimitnum != ''"> and creditlimitnum like concat('%',#{creditlimitnum},'%') </if>
            <if test="creditmny != null and creditmny != ''"> and creditmny like concat('%',#{creditmny},'%') </if>
            <if test="creditmoney != null and creditmoney != ''"> and creditmoney like concat('%',#{creditmoney},'%') </if>
            <if test="credlimitflag != null"> and credlimitflag like concat('%',#{credlimitflag},'%') </if>
            <if test="custflag != null and custflag != ''"> and custflag like concat('%',#{custflag},'%') </if>
            <if test="custstate != null"> and custstate like concat('%',#{custstate},'%') </if>
            <if test="def1 != null and def1 != ''"> and def1 like concat('%',#{def1},'%') </if>
            <if test="def10 != null and def10 != ''"> and def10 like concat('%',#{def10},'%') </if>
            <if test="def11 != null and def11 != ''"> and def11 like concat('%',#{def11},'%') </if>
            <if test="def12 != null and def12 != ''"> and def12 like concat('%',#{def12},'%') </if>
            <if test="def13 != null and def13 != ''"> and def13 like concat('%',#{def13},'%') </if>
            <if test="def14 != null and def14 != ''"> and def14 like concat('%',#{def14},'%') </if>
            <if test="def15 != null and def15 != ''"> and def15 like concat('%',#{def15},'%') </if>
            <if test="def16 != null and def16 != ''"> and def16 like concat('%',#{def16},'%') </if>
            <if test="def17 != null and def17 != ''"> and def17 like concat('%',#{def17},'%') </if>
            <if test="def18 != null and def18 != ''"> and def18 like concat('%',#{def18},'%') </if>
            <if test="def19 != null and def19 != ''"> and def19 like concat('%',#{def19},'%') </if>
            <if test="def2 != null and def2 != ''"> and def2 like concat('%',#{def2},'%') </if>
            <if test="def20 != null and def20 != ''"> and def20 like concat('%',#{def20},'%') </if>
            <if test="def21 != null and def21 != ''"> and def21 like concat('%',#{def21},'%') </if>
            <if test="def22 != null and def22 != ''"> and def22 like concat('%',#{def22},'%') </if>
            <if test="def23 != null and def23 != ''"> and def23 like concat('%',#{def23},'%') </if>
            <if test="def24 != null and def24 != ''"> and def24 like concat('%',#{def24},'%') </if>
            <if test="def25 != null and def25 != ''"> and def25 like concat('%',#{def25},'%') </if>
            <if test="def26 != null and def26 != ''"> and def26 like concat('%',#{def26},'%') </if>
            <if test="def27 != null and def27 != ''"> and def27 like concat('%',#{def27},'%') </if>
            <if test="def28 != null and def28 != ''"> and def28 like concat('%',#{def28},'%') </if>
            <if test="def29 != null and def29 != ''"> and def29 like concat('%',#{def29},'%') </if>
            <if test="def3 != null and def3 != ''"> and def3 like concat('%',#{def3},'%') </if>
            <if test="def30 != null and def30 != ''"> and def30 like concat('%',#{def30},'%') </if>
            <if test="def4 != null and def4 != ''"> and def4 like concat('%',#{def4},'%') </if>
            <if test="def5 != null and def5 != ''"> and def5 like concat('%',#{def5},'%') </if>
            <if test="def6 != null and def6 != ''"> and def6 like concat('%',#{def6},'%') </if>
            <if test="def7 != null and def7 != ''"> and def7 like concat('%',#{def7},'%') </if>
            <if test="def8 != null and def8 != ''"> and def8 like concat('%',#{def8},'%') </if>
            <if test="def9 != null and def9 != ''"> and def9 like concat('%',#{def9},'%') </if>
            <if test="developdate != null and developdate != ''"> and developdate like concat('%',#{developdate},'%') </if>
            <if test="diffcurrflag != null and diffcurrflag != ''"> and diffcurrflag like concat('%',#{diffcurrflag},'%') </if>
            <if test="discountrate != null and discountrate != ''"> and discountrate like concat('%',#{discountrate},'%') </if>
            <if test="dr != null"> and dr like concat('%',#{dr},'%') </if>
            <if test="freeofacclmtcheck != null and freeofacclmtcheck != ''"> and freeofacclmtcheck like concat('%',#{freeofacclmtcheck},'%') </if>
            <if test="freeofcremnycheck != null and freeofcremnycheck != ''"> and freeofcremnycheck like concat('%',#{freeofcremnycheck},'%') </if>
            <if test="frozendate != null and frozendate != ''"> and frozendate like concat('%',#{frozendate},'%') </if>
            <if test="frozenflag != null and frozenflag != ''"> and frozenflag like concat('%',#{frozenflag},'%') </if>
            <if test="grade != null"> and grade like concat('%',#{grade},'%') </if>
            <if test="innerctldays != null"> and innerctldays like concat('%',#{innerctldays},'%') </if>
            <if test="iounit != null and iounit != ''"> and iounit like concat('%',#{iounit},'%') </if>
            <if test="isagent != null and isagent != ''"> and isagent like concat('%',#{isagent},'%') </if>
            <if test="ispromtesettlement != null and ispromtesettlement != ''"> and ispromtesettlement like concat('%',#{ispromtesettlement},'%') </if>
            <if test="linkman != null and linkman != ''"> and linkman like concat('%',#{linkman},'%') </if>
            <if test="memo != null and memo != ''"> and memo like concat('%',#{memo},'%') </if>
            <if test="mobilephone != null and mobilephone != ''"> and mobilephone like concat('%',#{mobilephone},'%') </if>
            <if test="modifier != null and modifier != ''"> and modifier like concat('%',#{modifier},'%') </if>
            <if test="modifytime != null and modifytime != ''"> and modifytime like concat('%',#{modifytime},'%') </if>
            <if test="ordawmny != null and ordawmny != ''"> and ordawmny like concat('%',#{ordawmny},'%') </if>
            <if test="pkCalbody != null and pkCalbody != ''"> and pk_calbody like concat('%',#{pkCalbody},'%') </if>
            <if test="pkCorp != null and pkCorp != ''"> and pk_corp like concat('%',#{pkCorp},'%') </if>
            <if test="pkCubasdoc != null and pkCubasdoc != ''"> and pk_cubasdoc like concat('%',#{pkCubasdoc},'%') </if>
            <if test="pkCumandoc != null and pkCumandoc != ''"> and pk_cumandoc like concat('%',#{pkCumandoc},'%') </if>
            <if test="pkCurrtype1 != null and pkCurrtype1 != ''"> and pk_currtype1 like concat('%',#{pkCurrtype1},'%') </if>
            <if test="pkCusmandoc2 != null and pkCusmandoc2 != ''"> and pk_cusmandoc2 like concat('%',#{pkCusmandoc2},'%') </if>
            <if test="pkCusmandoc3 != null and pkCusmandoc3 != ''"> and pk_cusmandoc3 like concat('%',#{pkCusmandoc3},'%') </if>
            <if test="pkDefbusitype != null and pkDefbusitype != ''"> and pk_defbusitype like concat('%',#{pkDefbusitype},'%') </if>
            <if test="pkPayterm != null and pkPayterm != ''"> and pk_payterm like concat('%',#{pkPayterm},'%') </if>
            <if test="pkPricegroupcorp != null and pkPricegroupcorp != ''"> and pk_pricegroupcorp like concat('%',#{pkPricegroupcorp},'%') </if>
            <if test="pkRespdept1 != null and pkRespdept1 != ''"> and pk_respdept1 like concat('%',#{pkRespdept1},'%') </if>
            <if test="pkResppsn1 != null and pkResppsn1 != ''"> and pk_resppsn1 like concat('%',#{pkResppsn1},'%') </if>
            <if test="pkSalestru != null and pkSalestru != ''"> and pk_salestru like concat('%',#{pkSalestru},'%') </if>
            <if test="pkSendtype != null and pkSendtype != ''"> and pk_sendtype like concat('%',#{pkSendtype},'%') </if>
            <if test="pkSettleunit != null and pkSettleunit != ''"> and pk_settleunit like concat('%',#{pkSettleunit},'%') </if>
            <if test="pkStordoc2 != null and pkStordoc2 != ''"> and pk_stordoc2 like concat('%',#{pkStordoc2},'%') </if>
            <if test="prepaidratio != null"> and prepaidratio like concat('%',#{prepaidratio},'%') </if>
            <if test="ratifydate != null and ratifydate != ''"> and ratifydate like concat('%',#{ratifydate},'%') </if>
            <if test="sealflag != null and sealflag != ''"> and sealflag like concat('%',#{sealflag},'%') </if>
            <if test="stockpriceratio != null"> and stockpriceratio like concat('%',#{stockpriceratio},'%') </if>
            <if test="testsalemoney != null and testsalemoney != ''"> and testsalemoney like concat('%',#{testsalemoney},'%') </if>
            <if test="ts != null and ts != ''"> and ts like concat('%',#{ts},'%') </if>
    </trim>
    <if test=" sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!-- 查询列表 字段采用or格式 -->
<select id="BdCumandocentity_list_or" resultMap="get-BdCumandocEntity-result" parameterType = "com.hzya.frame.plugin.lets.entity.BdCumandocEntity">
    select
    <include refid="BdCumandocEntity_Base_Column_List" />
    from bd_cumandoc
    <trim prefix="where" prefixOverrides="and"> 
         <if test="accawmny != null and accawmny != ''"> or accawmny = #{accawmny} </if>
             <if test="acclimit != null and acclimit != ''"> or acclimit = #{acclimit} </if>
             <if test="acclimitcontrol != null and acclimitcontrol != ''"> or acclimitcontrol = #{acclimitcontrol} </if>
             <if test="acclmtbegindate != null and acclmtbegindate != ''"> or acclmtbegindate = #{acclmtbegindate} </if>
             <if test="balancemny != null and balancemny != ''"> or balancemny = #{balancemny} </if>
             <if test="bp != null and bp != ''"> or bp = #{bp} </if>
             <if test="busawmny != null and busawmny != ''"> or busawmny = #{busawmny} </if>
             <if test="cmnecode != null and cmnecode != ''"> or cmnecode = #{cmnecode} </if>
             <if test="cooperateflag != null and cooperateflag != ''"> or cooperateflag = #{cooperateflag} </if>
             <if test="cooperatingdayfrom != null and cooperatingdayfrom != ''"> or cooperatingdayfrom = #{cooperatingdayfrom} </if>
             <if test="cooperatingdayto != null and cooperatingdayto != ''"> or cooperatingdayto = #{cooperatingdayto} </if>
             <if test="correspsettleunit != null and correspsettleunit != ''"> or correspsettleunit = #{correspsettleunit} </if>
             <if test="createtime != null and createtime != ''"> or createtime = #{createtime} </if>
             <if test="creator != null and creator != ''"> or creator = #{creator} </if>
             <if test="creditcontrol != null and creditcontrol != ''"> or creditcontrol = #{creditcontrol} </if>
             <if test="creditlevel != null and creditlevel != ''"> or creditlevel = #{creditlevel} </if>
             <if test="creditlimitnum != null and creditlimitnum != ''"> or creditlimitnum = #{creditlimitnum} </if>
             <if test="creditmny != null and creditmny != ''"> or creditmny = #{creditmny} </if>
             <if test="creditmoney != null and creditmoney != ''"> or creditmoney = #{creditmoney} </if>
             <if test="credlimitflag != null"> or credlimitflag = #{credlimitflag} </if>
             <if test="custflag != null and custflag != ''"> or custflag = #{custflag} </if>
             <if test="custstate != null"> or custstate = #{custstate} </if>
             <if test="def1 != null and def1 != ''"> or def1 = #{def1} </if>
             <if test="def10 != null and def10 != ''"> or def10 = #{def10} </if>
             <if test="def11 != null and def11 != ''"> or def11 = #{def11} </if>
             <if test="def12 != null and def12 != ''"> or def12 = #{def12} </if>
             <if test="def13 != null and def13 != ''"> or def13 = #{def13} </if>
             <if test="def14 != null and def14 != ''"> or def14 = #{def14} </if>
             <if test="def15 != null and def15 != ''"> or def15 = #{def15} </if>
             <if test="def16 != null and def16 != ''"> or def16 = #{def16} </if>
             <if test="def17 != null and def17 != ''"> or def17 = #{def17} </if>
             <if test="def18 != null and def18 != ''"> or def18 = #{def18} </if>
             <if test="def19 != null and def19 != ''"> or def19 = #{def19} </if>
             <if test="def2 != null and def2 != ''"> or def2 = #{def2} </if>
             <if test="def20 != null and def20 != ''"> or def20 = #{def20} </if>
             <if test="def21 != null and def21 != ''"> or def21 = #{def21} </if>
             <if test="def22 != null and def22 != ''"> or def22 = #{def22} </if>
             <if test="def23 != null and def23 != ''"> or def23 = #{def23} </if>
             <if test="def24 != null and def24 != ''"> or def24 = #{def24} </if>
             <if test="def25 != null and def25 != ''"> or def25 = #{def25} </if>
             <if test="def26 != null and def26 != ''"> or def26 = #{def26} </if>
             <if test="def27 != null and def27 != ''"> or def27 = #{def27} </if>
             <if test="def28 != null and def28 != ''"> or def28 = #{def28} </if>
             <if test="def29 != null and def29 != ''"> or def29 = #{def29} </if>
             <if test="def3 != null and def3 != ''"> or def3 = #{def3} </if>
             <if test="def30 != null and def30 != ''"> or def30 = #{def30} </if>
             <if test="def4 != null and def4 != ''"> or def4 = #{def4} </if>
             <if test="def5 != null and def5 != ''"> or def5 = #{def5} </if>
             <if test="def6 != null and def6 != ''"> or def6 = #{def6} </if>
             <if test="def7 != null and def7 != ''"> or def7 = #{def7} </if>
             <if test="def8 != null and def8 != ''"> or def8 = #{def8} </if>
             <if test="def9 != null and def9 != ''"> or def9 = #{def9} </if>
             <if test="developdate != null and developdate != ''"> or developdate = #{developdate} </if>
             <if test="diffcurrflag != null and diffcurrflag != ''"> or diffcurrflag = #{diffcurrflag} </if>
             <if test="discountrate != null and discountrate != ''"> or discountrate = #{discountrate} </if>
             <if test="dr != null"> or dr = #{dr} </if>
             <if test="freeofacclmtcheck != null and freeofacclmtcheck != ''"> or freeofacclmtcheck = #{freeofacclmtcheck} </if>
             <if test="freeofcremnycheck != null and freeofcremnycheck != ''"> or freeofcremnycheck = #{freeofcremnycheck} </if>
             <if test="frozendate != null and frozendate != ''"> or frozendate = #{frozendate} </if>
             <if test="frozenflag != null and frozenflag != ''"> or frozenflag = #{frozenflag} </if>
             <if test="grade != null"> or grade = #{grade} </if>
             <if test="innerctldays != null"> or innerctldays = #{innerctldays} </if>
             <if test="iounit != null and iounit != ''"> or iounit = #{iounit} </if>
             <if test="isagent != null and isagent != ''"> or isagent = #{isagent} </if>
             <if test="ispromtesettlement != null and ispromtesettlement != ''"> or ispromtesettlement = #{ispromtesettlement} </if>
             <if test="linkman != null and linkman != ''"> or linkman = #{linkman} </if>
             <if test="memo != null and memo != ''"> or memo = #{memo} </if>
             <if test="mobilephone != null and mobilephone != ''"> or mobilephone = #{mobilephone} </if>
             <if test="modifier != null and modifier != ''"> or modifier = #{modifier} </if>
             <if test="modifytime != null and modifytime != ''"> or modifytime = #{modifytime} </if>
             <if test="ordawmny != null and ordawmny != ''"> or ordawmny = #{ordawmny} </if>
             <if test="pkCalbody != null and pkCalbody != ''"> or pk_calbody = #{pkCalbody} </if>
             <if test="pkCorp != null and pkCorp != ''"> or pk_corp = #{pkCorp} </if>
             <if test="pkCubasdoc != null and pkCubasdoc != ''"> or pk_cubasdoc = #{pkCubasdoc} </if>
             <if test="pkCumandoc != null and pkCumandoc != ''"> or pk_cumandoc = #{pkCumandoc} </if>
             <if test="pkCurrtype1 != null and pkCurrtype1 != ''"> or pk_currtype1 = #{pkCurrtype1} </if>
             <if test="pkCusmandoc2 != null and pkCusmandoc2 != ''"> or pk_cusmandoc2 = #{pkCusmandoc2} </if>
             <if test="pkCusmandoc3 != null and pkCusmandoc3 != ''"> or pk_cusmandoc3 = #{pkCusmandoc3} </if>
             <if test="pkDefbusitype != null and pkDefbusitype != ''"> or pk_defbusitype = #{pkDefbusitype} </if>
             <if test="pkPayterm != null and pkPayterm != ''"> or pk_payterm = #{pkPayterm} </if>
             <if test="pkPricegroupcorp != null and pkPricegroupcorp != ''"> or pk_pricegroupcorp = #{pkPricegroupcorp} </if>
             <if test="pkRespdept1 != null and pkRespdept1 != ''"> or pk_respdept1 = #{pkRespdept1} </if>
             <if test="pkResppsn1 != null and pkResppsn1 != ''"> or pk_resppsn1 = #{pkResppsn1} </if>
             <if test="pkSalestru != null and pkSalestru != ''"> or pk_salestru = #{pkSalestru} </if>
             <if test="pkSendtype != null and pkSendtype != ''"> or pk_sendtype = #{pkSendtype} </if>
             <if test="pkSettleunit != null and pkSettleunit != ''"> or pk_settleunit = #{pkSettleunit} </if>
             <if test="pkStordoc2 != null and pkStordoc2 != ''"> or pk_stordoc2 = #{pkStordoc2} </if>
             <if test="prepaidratio != null"> or prepaidratio = #{prepaidratio} </if>
             <if test="ratifydate != null and ratifydate != ''"> or ratifydate = #{ratifydate} </if>
             <if test="sealflag != null and sealflag != ''"> or sealflag = #{sealflag} </if>
             <if test="stockpriceratio != null"> or stockpriceratio = #{stockpriceratio} </if>
             <if test="testsalemoney != null and testsalemoney != ''"> or testsalemoney = #{testsalemoney} </if>
             <if test="ts != null and ts != ''"> or ts = #{ts} </if>
    </trim>
    <if test=" sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!--新增所有列-->
<!--<insert id="entity_insert" parameterType = "com.hzya.frame.plugin.lets.entity.BdCumandocEntity" keyProperty="pkCumandoc" useGeneratedKeys="true">-->
<!--    insert into bd_cumandoc(-->
<!--  <trim suffix="" suffixOverrides=",">-->
<!--       <if test="accawmny != null and accawmny != ''"> accawmny , </if>-->
<!--            <if test="acclimit != null and acclimit != ''"> acclimit , </if>-->
<!--            <if test="acclimitcontrol != null and acclimitcontrol != ''"> acclimitcontrol , </if>-->
<!--            <if test="acclmtbegindate != null and acclmtbegindate != ''"> acclmtbegindate , </if>-->
<!--            <if test="balancemny != null and balancemny != ''"> balancemny , </if>-->
<!--            <if test="bp != null and bp != ''"> bp , </if>-->
<!--            <if test="busawmny != null and busawmny != ''"> busawmny , </if>-->
<!--            <if test="cmnecode != null and cmnecode != ''"> cmnecode , </if>-->
<!--            <if test="cooperateflag != null and cooperateflag != ''"> cooperateflag , </if>-->
<!--            <if test="cooperatingdayfrom != null and cooperatingdayfrom != ''"> cooperatingdayfrom , </if>-->
<!--            <if test="cooperatingdayto != null and cooperatingdayto != ''"> cooperatingdayto , </if>-->
<!--            <if test="correspsettleunit != null and correspsettleunit != ''"> correspsettleunit , </if>-->
<!--            <if test="createtime != null and createtime != ''"> createtime , </if>-->
<!--            <if test="creator != null and creator != ''"> creator , </if>-->
<!--            <if test="creditcontrol != null and creditcontrol != ''"> creditcontrol , </if>-->
<!--            <if test="creditlevel != null and creditlevel != ''"> creditlevel , </if>-->
<!--            <if test="creditlimitnum != null and creditlimitnum != ''"> creditlimitnum , </if>-->
<!--            <if test="creditmny != null and creditmny != ''"> creditmny , </if>-->
<!--            <if test="creditmoney != null and creditmoney != ''"> creditmoney , </if>-->
<!--            <if test="credlimitflag != null"> credlimitflag , </if>-->
<!--            <if test="custflag != null and custflag != ''"> custflag , </if>-->
<!--            <if test="custstate != null"> custstate , </if>-->
<!--            <if test="def1 != null and def1 != ''"> def1 , </if>-->
<!--            <if test="def10 != null and def10 != ''"> def10 , </if>-->
<!--            <if test="def11 != null and def11 != ''"> def11 , </if>-->
<!--            <if test="def12 != null and def12 != ''"> def12 , </if>-->
<!--            <if test="def13 != null and def13 != ''"> def13 , </if>-->
<!--            <if test="def14 != null and def14 != ''"> def14 , </if>-->
<!--            <if test="def15 != null and def15 != ''"> def15 , </if>-->
<!--            <if test="def16 != null and def16 != ''"> def16 , </if>-->
<!--            <if test="def17 != null and def17 != ''"> def17 , </if>-->
<!--            <if test="def18 != null and def18 != ''"> def18 , </if>-->
<!--            <if test="def19 != null and def19 != ''"> def19 , </if>-->
<!--            <if test="def2 != null and def2 != ''"> def2 , </if>-->
<!--            <if test="def20 != null and def20 != ''"> def20 , </if>-->
<!--            <if test="def21 != null and def21 != ''"> def21 , </if>-->
<!--            <if test="def22 != null and def22 != ''"> def22 , </if>-->
<!--            <if test="def23 != null and def23 != ''"> def23 , </if>-->
<!--            <if test="def24 != null and def24 != ''"> def24 , </if>-->
<!--            <if test="def25 != null and def25 != ''"> def25 , </if>-->
<!--            <if test="def26 != null and def26 != ''"> def26 , </if>-->
<!--            <if test="def27 != null and def27 != ''"> def27 , </if>-->
<!--            <if test="def28 != null and def28 != ''"> def28 , </if>-->
<!--            <if test="def29 != null and def29 != ''"> def29 , </if>-->
<!--            <if test="def3 != null and def3 != ''"> def3 , </if>-->
<!--            <if test="def30 != null and def30 != ''"> def30 , </if>-->
<!--            <if test="def4 != null and def4 != ''"> def4 , </if>-->
<!--            <if test="def5 != null and def5 != ''"> def5 , </if>-->
<!--            <if test="def6 != null and def6 != ''"> def6 , </if>-->
<!--            <if test="def7 != null and def7 != ''"> def7 , </if>-->
<!--            <if test="def8 != null and def8 != ''"> def8 , </if>-->
<!--            <if test="def9 != null and def9 != ''"> def9 , </if>-->
<!--            <if test="developdate != null and developdate != ''"> developdate , </if>-->
<!--            <if test="diffcurrflag != null and diffcurrflag != ''"> diffcurrflag , </if>-->
<!--            <if test="discountrate != null and discountrate != ''"> discountrate , </if>-->
<!--            <if test="dr != null"> dr , </if>-->
<!--            <if test="freeofacclmtcheck != null and freeofacclmtcheck != ''"> freeofacclmtcheck , </if>-->
<!--            <if test="freeofcremnycheck != null and freeofcremnycheck != ''"> freeofcremnycheck , </if>-->
<!--            <if test="frozendate != null and frozendate != ''"> frozendate , </if>-->
<!--            <if test="frozenflag != null and frozenflag != ''"> frozenflag , </if>-->
<!--            <if test="grade != null"> grade , </if>-->
<!--            <if test="innerctldays != null"> innerctldays , </if>-->
<!--            <if test="iounit != null and iounit != ''"> iounit , </if>-->
<!--            <if test="isagent != null and isagent != ''"> isagent , </if>-->
<!--            <if test="ispromtesettlement != null and ispromtesettlement != ''"> ispromtesettlement , </if>-->
<!--            <if test="linkman != null and linkman != ''"> linkman , </if>-->
<!--            <if test="memo != null and memo != ''"> memo , </if>-->
<!--            <if test="mobilephone != null and mobilephone != ''"> mobilephone , </if>-->
<!--            <if test="modifier != null and modifier != ''"> modifier , </if>-->
<!--            <if test="modifytime != null and modifytime != ''"> modifytime , </if>-->
<!--            <if test="ordawmny != null and ordawmny != ''"> ordawmny , </if>-->
<!--            <if test="pkCalbody != null and pkCalbody != ''"> pk_calbody , </if>-->
<!--            <if test="pkCorp != null and pkCorp != ''"> pk_corp , </if>-->
<!--            <if test="pkCubasdoc != null and pkCubasdoc != ''"> pk_cubasdoc , </if>-->
<!--            <if test="pkCumandoc != null and pkCumandoc != ''"> pk_cumandoc , </if>-->
<!--            <if test="pkCurrtype1 != null and pkCurrtype1 != ''"> pk_currtype1 , </if>-->
<!--            <if test="pkCusmandoc2 != null and pkCusmandoc2 != ''"> pk_cusmandoc2 , </if>-->
<!--            <if test="pkCusmandoc3 != null and pkCusmandoc3 != ''"> pk_cusmandoc3 , </if>-->
<!--            <if test="pkDefbusitype != null and pkDefbusitype != ''"> pk_defbusitype , </if>-->
<!--            <if test="pkPayterm != null and pkPayterm != ''"> pk_payterm , </if>-->
<!--            <if test="pkPricegroupcorp != null and pkPricegroupcorp != ''"> pk_pricegroupcorp , </if>-->
<!--            <if test="pkRespdept1 != null and pkRespdept1 != ''"> pk_respdept1 , </if>-->
<!--            <if test="pkResppsn1 != null and pkResppsn1 != ''"> pk_resppsn1 , </if>-->
<!--            <if test="pkSalestru != null and pkSalestru != ''"> pk_salestru , </if>-->
<!--            <if test="pkSendtype != null and pkSendtype != ''"> pk_sendtype , </if>-->
<!--            <if test="pkSettleunit != null and pkSettleunit != ''"> pk_settleunit , </if>-->
<!--            <if test="pkStordoc2 != null and pkStordoc2 != ''"> pk_stordoc2 , </if>-->
<!--            <if test="prepaidratio != null"> prepaidratio , </if>-->
<!--            <if test="ratifydate != null and ratifydate != ''"> ratifydate , </if>-->
<!--            <if test="sealflag != null and sealflag != ''"> sealflag , </if>-->
<!--            <if test="stockpriceratio != null"> stockpriceratio , </if>-->
<!--            <if test="testsalemoney != null and testsalemoney != ''"> testsalemoney , </if>-->
<!--            <if test="ts != null and ts != ''"> ts , </if>-->
<!--            <if test="sorts == null ">sorts,</if>-->
<!--    <if test="sts == null ">sts,</if>-->
<!--  </trim>-->
<!--  )values(-->
<!-- <trim suffix="" suffixOverrides=",">-->
<!--       <if test="accawmny != null and accawmny != ''"> #{accawmny} ,</if>-->
<!--            <if test="acclimit != null and acclimit != ''"> #{acclimit} ,</if>-->
<!--            <if test="acclimitcontrol != null and acclimitcontrol != ''"> #{acclimitcontrol} ,</if>-->
<!--            <if test="acclmtbegindate != null and acclmtbegindate != ''"> #{acclmtbegindate} ,</if>-->
<!--            <if test="balancemny != null and balancemny != ''"> #{balancemny} ,</if>-->
<!--            <if test="bp != null and bp != ''"> #{bp} ,</if>-->
<!--            <if test="busawmny != null and busawmny != ''"> #{busawmny} ,</if>-->
<!--            <if test="cmnecode != null and cmnecode != ''"> #{cmnecode} ,</if>-->
<!--            <if test="cooperateflag != null and cooperateflag != ''"> #{cooperateflag} ,</if>-->
<!--            <if test="cooperatingdayfrom != null and cooperatingdayfrom != ''"> #{cooperatingdayfrom} ,</if>-->
<!--            <if test="cooperatingdayto != null and cooperatingdayto != ''"> #{cooperatingdayto} ,</if>-->
<!--            <if test="correspsettleunit != null and correspsettleunit != ''"> #{correspsettleunit} ,</if>-->
<!--            <if test="createtime != null and createtime != ''"> #{createtime} ,</if>-->
<!--            <if test="creator != null and creator != ''"> #{creator} ,</if>-->
<!--            <if test="creditcontrol != null and creditcontrol != ''"> #{creditcontrol} ,</if>-->
<!--            <if test="creditlevel != null and creditlevel != ''"> #{creditlevel} ,</if>-->
<!--            <if test="creditlimitnum != null and creditlimitnum != ''"> #{creditlimitnum} ,</if>-->
<!--            <if test="creditmny != null and creditmny != ''"> #{creditmny} ,</if>-->
<!--            <if test="creditmoney != null and creditmoney != ''"> #{creditmoney} ,</if>-->
<!--            <if test="credlimitflag != null"> #{credlimitflag} ,</if>-->
<!--            <if test="custflag != null and custflag != ''"> #{custflag} ,</if>-->
<!--            <if test="custstate != null"> #{custstate} ,</if>-->
<!--            <if test="def1 != null and def1 != ''"> #{def1} ,</if>-->
<!--            <if test="def10 != null and def10 != ''"> #{def10} ,</if>-->
<!--            <if test="def11 != null and def11 != ''"> #{def11} ,</if>-->
<!--            <if test="def12 != null and def12 != ''"> #{def12} ,</if>-->
<!--            <if test="def13 != null and def13 != ''"> #{def13} ,</if>-->
<!--            <if test="def14 != null and def14 != ''"> #{def14} ,</if>-->
<!--            <if test="def15 != null and def15 != ''"> #{def15} ,</if>-->
<!--            <if test="def16 != null and def16 != ''"> #{def16} ,</if>-->
<!--            <if test="def17 != null and def17 != ''"> #{def17} ,</if>-->
<!--            <if test="def18 != null and def18 != ''"> #{def18} ,</if>-->
<!--            <if test="def19 != null and def19 != ''"> #{def19} ,</if>-->
<!--            <if test="def2 != null and def2 != ''"> #{def2} ,</if>-->
<!--            <if test="def20 != null and def20 != ''"> #{def20} ,</if>-->
<!--            <if test="def21 != null and def21 != ''"> #{def21} ,</if>-->
<!--            <if test="def22 != null and def22 != ''"> #{def22} ,</if>-->
<!--            <if test="def23 != null and def23 != ''"> #{def23} ,</if>-->
<!--            <if test="def24 != null and def24 != ''"> #{def24} ,</if>-->
<!--            <if test="def25 != null and def25 != ''"> #{def25} ,</if>-->
<!--            <if test="def26 != null and def26 != ''"> #{def26} ,</if>-->
<!--            <if test="def27 != null and def27 != ''"> #{def27} ,</if>-->
<!--            <if test="def28 != null and def28 != ''"> #{def28} ,</if>-->
<!--            <if test="def29 != null and def29 != ''"> #{def29} ,</if>-->
<!--            <if test="def3 != null and def3 != ''"> #{def3} ,</if>-->
<!--            <if test="def30 != null and def30 != ''"> #{def30} ,</if>-->
<!--            <if test="def4 != null and def4 != ''"> #{def4} ,</if>-->
<!--            <if test="def5 != null and def5 != ''"> #{def5} ,</if>-->
<!--            <if test="def6 != null and def6 != ''"> #{def6} ,</if>-->
<!--            <if test="def7 != null and def7 != ''"> #{def7} ,</if>-->
<!--            <if test="def8 != null and def8 != ''"> #{def8} ,</if>-->
<!--            <if test="def9 != null and def9 != ''"> #{def9} ,</if>-->
<!--            <if test="developdate != null and developdate != ''"> #{developdate} ,</if>-->
<!--            <if test="diffcurrflag != null and diffcurrflag != ''"> #{diffcurrflag} ,</if>-->
<!--            <if test="discountrate != null and discountrate != ''"> #{discountrate} ,</if>-->
<!--            <if test="dr != null"> #{dr} ,</if>-->
<!--            <if test="freeofacclmtcheck != null and freeofacclmtcheck != ''"> #{freeofacclmtcheck} ,</if>-->
<!--            <if test="freeofcremnycheck != null and freeofcremnycheck != ''"> #{freeofcremnycheck} ,</if>-->
<!--            <if test="frozendate != null and frozendate != ''"> #{frozendate} ,</if>-->
<!--            <if test="frozenflag != null and frozenflag != ''"> #{frozenflag} ,</if>-->
<!--            <if test="grade != null"> #{grade} ,</if>-->
<!--            <if test="innerctldays != null"> #{innerctldays} ,</if>-->
<!--            <if test="iounit != null and iounit != ''"> #{iounit} ,</if>-->
<!--            <if test="isagent != null and isagent != ''"> #{isagent} ,</if>-->
<!--            <if test="ispromtesettlement != null and ispromtesettlement != ''"> #{ispromtesettlement} ,</if>-->
<!--            <if test="linkman != null and linkman != ''"> #{linkman} ,</if>-->
<!--            <if test="memo != null and memo != ''"> #{memo} ,</if>-->
<!--            <if test="mobilephone != null and mobilephone != ''"> #{mobilephone} ,</if>-->
<!--            <if test="modifier != null and modifier != ''"> #{modifier} ,</if>-->
<!--            <if test="modifytime != null and modifytime != ''"> #{modifytime} ,</if>-->
<!--            <if test="ordawmny != null and ordawmny != ''"> #{ordawmny} ,</if>-->
<!--            <if test="pkCalbody != null and pkCalbody != ''"> #{pkCalbody} ,</if>-->
<!--            <if test="pkCorp != null and pkCorp != ''"> #{pkCorp} ,</if>-->
<!--            <if test="pkCubasdoc != null and pkCubasdoc != ''"> #{pkCubasdoc} ,</if>-->
<!--            <if test="pkCumandoc != null and pkCumandoc != ''"> #{pkCumandoc} ,</if>-->
<!--            <if test="pkCurrtype1 != null and pkCurrtype1 != ''"> #{pkCurrtype1} ,</if>-->
<!--            <if test="pkCusmandoc2 != null and pkCusmandoc2 != ''"> #{pkCusmandoc2} ,</if>-->
<!--            <if test="pkCusmandoc3 != null and pkCusmandoc3 != ''"> #{pkCusmandoc3} ,</if>-->
<!--            <if test="pkDefbusitype != null and pkDefbusitype != ''"> #{pkDefbusitype} ,</if>-->
<!--            <if test="pkPayterm != null and pkPayterm != ''"> #{pkPayterm} ,</if>-->
<!--            <if test="pkPricegroupcorp != null and pkPricegroupcorp != ''"> #{pkPricegroupcorp} ,</if>-->
<!--            <if test="pkRespdept1 != null and pkRespdept1 != ''"> #{pkRespdept1} ,</if>-->
<!--            <if test="pkResppsn1 != null and pkResppsn1 != ''"> #{pkResppsn1} ,</if>-->
<!--            <if test="pkSalestru != null and pkSalestru != ''"> #{pkSalestru} ,</if>-->
<!--            <if test="pkSendtype != null and pkSendtype != ''"> #{pkSendtype} ,</if>-->
<!--            <if test="pkSettleunit != null and pkSettleunit != ''"> #{pkSettleunit} ,</if>-->
<!--            <if test="pkStordoc2 != null and pkStordoc2 != ''"> #{pkStordoc2} ,</if>-->
<!--            <if test="prepaidratio != null"> #{prepaidratio} ,</if>-->
<!--            <if test="ratifydate != null and ratifydate != ''"> #{ratifydate} ,</if>-->
<!--            <if test="sealflag != null and sealflag != ''"> #{sealflag} ,</if>-->
<!--            <if test="stockpriceratio != null"> #{stockpriceratio} ,</if>-->
<!--            <if test="testsalemoney != null and testsalemoney != ''"> #{testsalemoney} ,</if>-->
<!--            <if test="ts != null and ts != ''"> #{ts} ,</if>-->
<!--            <if test="sorts == null ">(select (max(IFNULL( a.sorts, 0 )) + 1) as sort from bd_cumandoc a WHERE a.sts = 'Y' ),</if>-->
<!--    <if test="sts == null ">'Y',</if>-->
<!--  </trim>-->
<!--  )  -->
<!--</insert>-->
<!--&lt;!&ndash; 批量新增 &ndash;&gt;-->
<!--<insert id="entityInsertBatch" keyProperty="pkCumandoc" useGeneratedKeys="true">-->
<!--  insert into bd_cumandoc(accawmny, acclimit, acclimitcontrol, acclmtbegindate, balancemny, bp, busawmny, cmnecode, cooperateflag, cooperatingdayfrom, cooperatingdayto, correspsettleunit, createtime, creator, creditcontrol, creditlevel, creditlimitnum, creditmny, creditmoney, credlimitflag, custflag, custstate, def1, def10, def11, def12, def13, def14, def15, def16, def17, def18, def19, def2, def20, def21, def22, def23, def24, def25, def26, def27, def28, def29, def3, def30, def4, def5, def6, def7, def8, def9, developdate, diffcurrflag, discountrate, dr, freeofacclmtcheck, freeofcremnycheck, frozendate, frozenflag, grade, innerctldays, iounit, isagent, ispromtesettlement, linkman, memo, mobilephone, modifier, modifytime, ordawmny, pk_calbody, pk_corp, pk_cubasdoc, pk_currtype1, pk_cusmandoc2, pk_cusmandoc3, pk_defbusitype, pk_payterm, pk_pricegroupcorp, pk_respdept1, pk_resppsn1, pk_salestru, pk_sendtype, pk_settleunit, pk_stordoc2, prepaidratio, ratifydate, sealflag, stockpriceratio, testsalemoney, ts,  sts) -->
<!--    values-->
<!--    <foreach collection="entities" item="entity" separator=",">-->
<!--    (#{entity.accawmny},#{entity.acclimit},#{entity.acclimitcontrol},#{entity.acclmtbegindate},#{entity.balancemny},#{entity.bp},#{entity.busawmny},#{entity.cmnecode},#{entity.cooperateflag},#{entity.cooperatingdayfrom},#{entity.cooperatingdayto},#{entity.correspsettleunit},#{entity.createtime},#{entity.creator},#{entity.creditcontrol},#{entity.creditlevel},#{entity.creditlimitnum},#{entity.creditmny},#{entity.creditmoney},#{entity.credlimitflag},#{entity.custflag},#{entity.custstate},#{entity.def1},#{entity.def10},#{entity.def11},#{entity.def12},#{entity.def13},#{entity.def14},#{entity.def15},#{entity.def16},#{entity.def17},#{entity.def18},#{entity.def19},#{entity.def2},#{entity.def20},#{entity.def21},#{entity.def22},#{entity.def23},#{entity.def24},#{entity.def25},#{entity.def26},#{entity.def27},#{entity.def28},#{entity.def29},#{entity.def3},#{entity.def30},#{entity.def4},#{entity.def5},#{entity.def6},#{entity.def7},#{entity.def8},#{entity.def9},#{entity.developdate},#{entity.diffcurrflag},#{entity.discountrate},#{entity.dr},#{entity.freeofacclmtcheck},#{entity.freeofcremnycheck},#{entity.frozendate},#{entity.frozenflag},#{entity.grade},#{entity.innerctldays},#{entity.iounit},#{entity.isagent},#{entity.ispromtesettlement},#{entity.linkman},#{entity.memo},#{entity.mobilephone},#{entity.modifier},#{entity.modifytime},#{entity.ordawmny},#{entity.pkCalbody},#{entity.pkCorp},#{entity.pkCubasdoc},#{entity.pkCurrtype1},#{entity.pkCusmandoc2},#{entity.pkCusmandoc3},#{entity.pkDefbusitype},#{entity.pkPayterm},#{entity.pkPricegroupcorp},#{entity.pkRespdept1},#{entity.pkResppsn1},#{entity.pkSalestru},#{entity.pkSendtype},#{entity.pkSettleunit},#{entity.pkStordoc2},#{entity.prepaidratio},#{entity.ratifydate},#{entity.sealflag},#{entity.stockpriceratio},#{entity.testsalemoney},#{entity.ts}, 'Y')-->
<!--    </foreach>-->
<!--</insert>-->
<!--&lt;!&ndash; 批量新增或者修改&ndash;&gt;-->
<!--<insert id="entityInsertOrUpdateBatch" keyProperty="pkCumandoc" useGeneratedKeys="true">-->
<!--    insert into bd_cumandoc(accawmny, acclimit, acclimitcontrol, acclmtbegindate, balancemny, bp, busawmny, cmnecode, cooperateflag, cooperatingdayfrom, cooperatingdayto, correspsettleunit, createtime, creator, creditcontrol, creditlevel, creditlimitnum, creditmny, creditmoney, credlimitflag, custflag, custstate, def1, def10, def11, def12, def13, def14, def15, def16, def17, def18, def19, def2, def20, def21, def22, def23, def24, def25, def26, def27, def28, def29, def3, def30, def4, def5, def6, def7, def8, def9, developdate, diffcurrflag, discountrate, dr, freeofacclmtcheck, freeofcremnycheck, frozendate, frozenflag, grade, innerctldays, iounit, isagent, ispromtesettlement, linkman, memo, mobilephone, modifier, modifytime, ordawmny, pk_calbody, pk_corp, pk_cubasdoc, pk_currtype1, pk_cusmandoc2, pk_cusmandoc3, pk_defbusitype, pk_payterm, pk_pricegroupcorp, pk_respdept1, pk_resppsn1, pk_salestru, pk_sendtype, pk_settleunit, pk_stordoc2, prepaidratio, ratifydate, sealflag, stockpriceratio, testsalemoney, ts)-->
<!--    values-->
<!--    <foreach collection="entities" item="entity" separator=",">-->
<!--    (#{entity.accawmny},#{entity.acclimit},#{entity.acclimitcontrol},#{entity.acclmtbegindate},#{entity.balancemny},#{entity.bp},#{entity.busawmny},#{entity.cmnecode},#{entity.cooperateflag},#{entity.cooperatingdayfrom},#{entity.cooperatingdayto},#{entity.correspsettleunit},#{entity.createtime},#{entity.creator},#{entity.creditcontrol},#{entity.creditlevel},#{entity.creditlimitnum},#{entity.creditmny},#{entity.creditmoney},#{entity.credlimitflag},#{entity.custflag},#{entity.custstate},#{entity.def1},#{entity.def10},#{entity.def11},#{entity.def12},#{entity.def13},#{entity.def14},#{entity.def15},#{entity.def16},#{entity.def17},#{entity.def18},#{entity.def19},#{entity.def2},#{entity.def20},#{entity.def21},#{entity.def22},#{entity.def23},#{entity.def24},#{entity.def25},#{entity.def26},#{entity.def27},#{entity.def28},#{entity.def29},#{entity.def3},#{entity.def30},#{entity.def4},#{entity.def5},#{entity.def6},#{entity.def7},#{entity.def8},#{entity.def9},#{entity.developdate},#{entity.diffcurrflag},#{entity.discountrate},#{entity.dr},#{entity.freeofacclmtcheck},#{entity.freeofcremnycheck},#{entity.frozendate},#{entity.frozenflag},#{entity.grade},#{entity.innerctldays},#{entity.iounit},#{entity.isagent},#{entity.ispromtesettlement},#{entity.linkman},#{entity.memo},#{entity.mobilephone},#{entity.modifier},#{entity.modifytime},#{entity.ordawmny},#{entity.pkCalbody},#{entity.pkCorp},#{entity.pkCubasdoc},#{entity.pkCurrtype1},#{entity.pkCusmandoc2},#{entity.pkCusmandoc3},#{entity.pkDefbusitype},#{entity.pkPayterm},#{entity.pkPricegroupcorp},#{entity.pkRespdept1},#{entity.pkResppsn1},#{entity.pkSalestru},#{entity.pkSendtype},#{entity.pkSettleunit},#{entity.pkStordoc2},#{entity.prepaidratio},#{entity.ratifydate},#{entity.sealflag},#{entity.stockpriceratio},#{entity.testsalemoney},#{entity.ts})-->
<!--    </foreach>-->
<!--    on duplicate key update-->
<!--    accawmny = values(accawmny),-->
<!--    acclimit = values(acclimit),-->
<!--    acclimitcontrol = values(acclimitcontrol),-->
<!--    acclmtbegindate = values(acclmtbegindate),-->
<!--    balancemny = values(balancemny),-->
<!--    bp = values(bp),-->
<!--    busawmny = values(busawmny),-->
<!--    cmnecode = values(cmnecode),-->
<!--    cooperateflag = values(cooperateflag),-->
<!--    cooperatingdayfrom = values(cooperatingdayfrom),-->
<!--    cooperatingdayto = values(cooperatingdayto),-->
<!--    correspsettleunit = values(correspsettleunit),-->
<!--    createtime = values(createtime),-->
<!--    creator = values(creator),-->
<!--    creditcontrol = values(creditcontrol),-->
<!--    creditlevel = values(creditlevel),-->
<!--    creditlimitnum = values(creditlimitnum),-->
<!--    creditmny = values(creditmny),-->
<!--    creditmoney = values(creditmoney),-->
<!--    credlimitflag = values(credlimitflag),-->
<!--    custflag = values(custflag),-->
<!--    custstate = values(custstate),-->
<!--    def1 = values(def1),-->
<!--    def10 = values(def10),-->
<!--    def11 = values(def11),-->
<!--    def12 = values(def12),-->
<!--    def13 = values(def13),-->
<!--    def14 = values(def14),-->
<!--    def15 = values(def15),-->
<!--    def16 = values(def16),-->
<!--    def17 = values(def17),-->
<!--    def18 = values(def18),-->
<!--    def19 = values(def19),-->
<!--    def2 = values(def2),-->
<!--    def20 = values(def20),-->
<!--    def21 = values(def21),-->
<!--    def22 = values(def22),-->
<!--    def23 = values(def23),-->
<!--    def24 = values(def24),-->
<!--    def25 = values(def25),-->
<!--    def26 = values(def26),-->
<!--    def27 = values(def27),-->
<!--    def28 = values(def28),-->
<!--    def29 = values(def29),-->
<!--    def3 = values(def3),-->
<!--    def30 = values(def30),-->
<!--    def4 = values(def4),-->
<!--    def5 = values(def5),-->
<!--    def6 = values(def6),-->
<!--    def7 = values(def7),-->
<!--    def8 = values(def8),-->
<!--    def9 = values(def9),-->
<!--    developdate = values(developdate),-->
<!--    diffcurrflag = values(diffcurrflag),-->
<!--    discountrate = values(discountrate),-->
<!--    dr = values(dr),-->
<!--    freeofacclmtcheck = values(freeofacclmtcheck),-->
<!--    freeofcremnycheck = values(freeofcremnycheck),-->
<!--    frozendate = values(frozendate),-->
<!--    frozenflag = values(frozenflag),-->
<!--    grade = values(grade),-->
<!--    innerctldays = values(innerctldays),-->
<!--    iounit = values(iounit),-->
<!--    isagent = values(isagent),-->
<!--    ispromtesettlement = values(ispromtesettlement),-->
<!--    linkman = values(linkman),-->
<!--    memo = values(memo),-->
<!--    mobilephone = values(mobilephone),-->
<!--    modifier = values(modifier),-->
<!--    modifytime = values(modifytime),-->
<!--    ordawmny = values(ordawmny),-->
<!--    pk_calbody = values(pk_calbody),-->
<!--    pk_corp = values(pk_corp),-->
<!--    pk_cubasdoc = values(pk_cubasdoc),-->
<!--    pk_currtype1 = values(pk_currtype1),-->
<!--    pk_cusmandoc2 = values(pk_cusmandoc2),-->
<!--    pk_cusmandoc3 = values(pk_cusmandoc3),-->
<!--    pk_defbusitype = values(pk_defbusitype),-->
<!--    pk_payterm = values(pk_payterm),-->
<!--    pk_pricegroupcorp = values(pk_pricegroupcorp),-->
<!--    pk_respdept1 = values(pk_respdept1),-->
<!--    pk_resppsn1 = values(pk_resppsn1),-->
<!--    pk_salestru = values(pk_salestru),-->
<!--    pk_sendtype = values(pk_sendtype),-->
<!--    pk_settleunit = values(pk_settleunit),-->
<!--    pk_stordoc2 = values(pk_stordoc2),-->
<!--    prepaidratio = values(prepaidratio),-->
<!--    ratifydate = values(ratifydate),-->
<!--    sealflag = values(sealflag),-->
<!--    stockpriceratio = values(stockpriceratio),-->
<!--    testsalemoney = values(testsalemoney),-->
<!--    ts = values(ts)</insert>-->
<!--&lt;!&ndash;通过主键修改方法&ndash;&gt;-->
<!--<update id="entity_update" parameterType = "com.hzya.frame.plugin.lets.entity.BdCumandocEntity" >-->
<!--update bd_cumandoc  set-->
<!--<trim suffix="" suffixOverrides=",">-->
<!--  <if test="accawmny != null and accawmny != ''"> accawmny = #{accawmny},</if>-->
<!--  <if test="acclimit != null and acclimit != ''"> acclimit = #{acclimit},</if>-->
<!--  <if test="acclimitcontrol != null and acclimitcontrol != ''"> acclimitcontrol = #{acclimitcontrol},</if>-->
<!--  <if test="acclmtbegindate != null and acclmtbegindate != ''"> acclmtbegindate = #{acclmtbegindate},</if>-->
<!--  <if test="balancemny != null and balancemny != ''"> balancemny = #{balancemny},</if>-->
<!--  <if test="bp != null and bp != ''"> bp = #{bp},</if>-->
<!--  <if test="busawmny != null and busawmny != ''"> busawmny = #{busawmny},</if>-->
<!--  <if test="cmnecode != null and cmnecode != ''"> cmnecode = #{cmnecode},</if>-->
<!--  <if test="cooperateflag != null and cooperateflag != ''"> cooperateflag = #{cooperateflag},</if>-->
<!--  <if test="cooperatingdayfrom != null and cooperatingdayfrom != ''"> cooperatingdayfrom = #{cooperatingdayfrom},</if>-->
<!--  <if test="cooperatingdayto != null and cooperatingdayto != ''"> cooperatingdayto = #{cooperatingdayto},</if>-->
<!--  <if test="correspsettleunit != null and correspsettleunit != ''"> correspsettleunit = #{correspsettleunit},</if>-->
<!--  <if test="createtime != null and createtime != ''"> createtime = #{createtime},</if>-->
<!--  <if test="creator != null and creator != ''"> creator = #{creator},</if>-->
<!--  <if test="creditcontrol != null and creditcontrol != ''"> creditcontrol = #{creditcontrol},</if>-->
<!--  <if test="creditlevel != null and creditlevel != ''"> creditlevel = #{creditlevel},</if>-->
<!--  <if test="creditlimitnum != null and creditlimitnum != ''"> creditlimitnum = #{creditlimitnum},</if>-->
<!--  <if test="creditmny != null and creditmny != ''"> creditmny = #{creditmny},</if>-->
<!--  <if test="creditmoney != null and creditmoney != ''"> creditmoney = #{creditmoney},</if>-->
<!--  <if test="credlimitflag != null"> credlimitflag = #{credlimitflag},</if>-->
<!--  <if test="custflag != null and custflag != ''"> custflag = #{custflag},</if>-->
<!--  <if test="custstate != null"> custstate = #{custstate},</if>-->
<!--  <if test="def1 != null and def1 != ''"> def1 = #{def1},</if>-->
<!--  <if test="def10 != null and def10 != ''"> def10 = #{def10},</if>-->
<!--  <if test="def11 != null and def11 != ''"> def11 = #{def11},</if>-->
<!--  <if test="def12 != null and def12 != ''"> def12 = #{def12},</if>-->
<!--  <if test="def13 != null and def13 != ''"> def13 = #{def13},</if>-->
<!--  <if test="def14 != null and def14 != ''"> def14 = #{def14},</if>-->
<!--  <if test="def15 != null and def15 != ''"> def15 = #{def15},</if>-->
<!--  <if test="def16 != null and def16 != ''"> def16 = #{def16},</if>-->
<!--  <if test="def17 != null and def17 != ''"> def17 = #{def17},</if>-->
<!--  <if test="def18 != null and def18 != ''"> def18 = #{def18},</if>-->
<!--  <if test="def19 != null and def19 != ''"> def19 = #{def19},</if>-->
<!--  <if test="def2 != null and def2 != ''"> def2 = #{def2},</if>-->
<!--  <if test="def20 != null and def20 != ''"> def20 = #{def20},</if>-->
<!--  <if test="def21 != null and def21 != ''"> def21 = #{def21},</if>-->
<!--  <if test="def22 != null and def22 != ''"> def22 = #{def22},</if>-->
<!--  <if test="def23 != null and def23 != ''"> def23 = #{def23},</if>-->
<!--  <if test="def24 != null and def24 != ''"> def24 = #{def24},</if>-->
<!--  <if test="def25 != null and def25 != ''"> def25 = #{def25},</if>-->
<!--  <if test="def26 != null and def26 != ''"> def26 = #{def26},</if>-->
<!--  <if test="def27 != null and def27 != ''"> def27 = #{def27},</if>-->
<!--  <if test="def28 != null and def28 != ''"> def28 = #{def28},</if>-->
<!--  <if test="def29 != null and def29 != ''"> def29 = #{def29},</if>-->
<!--  <if test="def3 != null and def3 != ''"> def3 = #{def3},</if>-->
<!--  <if test="def30 != null and def30 != ''"> def30 = #{def30},</if>-->
<!--  <if test="def4 != null and def4 != ''"> def4 = #{def4},</if>-->
<!--  <if test="def5 != null and def5 != ''"> def5 = #{def5},</if>-->
<!--  <if test="def6 != null and def6 != ''"> def6 = #{def6},</if>-->
<!--  <if test="def7 != null and def7 != ''"> def7 = #{def7},</if>-->
<!--  <if test="def8 != null and def8 != ''"> def8 = #{def8},</if>-->
<!--  <if test="def9 != null and def9 != ''"> def9 = #{def9},</if>-->
<!--  <if test="developdate != null and developdate != ''"> developdate = #{developdate},</if>-->
<!--  <if test="diffcurrflag != null and diffcurrflag != ''"> diffcurrflag = #{diffcurrflag},</if>-->
<!--  <if test="discountrate != null and discountrate != ''"> discountrate = #{discountrate},</if>-->
<!--  <if test="dr != null"> dr = #{dr},</if>-->
<!--  <if test="freeofacclmtcheck != null and freeofacclmtcheck != ''"> freeofacclmtcheck = #{freeofacclmtcheck},</if>-->
<!--  <if test="freeofcremnycheck != null and freeofcremnycheck != ''"> freeofcremnycheck = #{freeofcremnycheck},</if>-->
<!--  <if test="frozendate != null and frozendate != ''"> frozendate = #{frozendate},</if>-->
<!--  <if test="frozenflag != null and frozenflag != ''"> frozenflag = #{frozenflag},</if>-->
<!--  <if test="grade != null"> grade = #{grade},</if>-->
<!--  <if test="innerctldays != null"> innerctldays = #{innerctldays},</if>-->
<!--  <if test="iounit != null and iounit != ''"> iounit = #{iounit},</if>-->
<!--  <if test="isagent != null and isagent != ''"> isagent = #{isagent},</if>-->
<!--  <if test="ispromtesettlement != null and ispromtesettlement != ''"> ispromtesettlement = #{ispromtesettlement},</if>-->
<!--  <if test="linkman != null and linkman != ''"> linkman = #{linkman},</if>-->
<!--  <if test="memo != null and memo != ''"> memo = #{memo},</if>-->
<!--  <if test="mobilephone != null and mobilephone != ''"> mobilephone = #{mobilephone},</if>-->
<!--  <if test="modifier != null and modifier != ''"> modifier = #{modifier},</if>-->
<!--  <if test="modifytime != null and modifytime != ''"> modifytime = #{modifytime},</if>-->
<!--  <if test="ordawmny != null and ordawmny != ''"> ordawmny = #{ordawmny},</if>-->
<!--  <if test="pkCalbody != null and pkCalbody != ''"> pk_calbody = #{pkCalbody},</if>-->
<!--  <if test="pkCorp != null and pkCorp != ''"> pk_corp = #{pkCorp},</if>-->
<!--  <if test="pkCubasdoc != null and pkCubasdoc != ''"> pk_cubasdoc = #{pkCubasdoc},</if>-->
<!--  <if test="pkCurrtype1 != null and pkCurrtype1 != ''"> pk_currtype1 = #{pkCurrtype1},</if>-->
<!--  <if test="pkCusmandoc2 != null and pkCusmandoc2 != ''"> pk_cusmandoc2 = #{pkCusmandoc2},</if>-->
<!--  <if test="pkCusmandoc3 != null and pkCusmandoc3 != ''"> pk_cusmandoc3 = #{pkCusmandoc3},</if>-->
<!--  <if test="pkDefbusitype != null and pkDefbusitype != ''"> pk_defbusitype = #{pkDefbusitype},</if>-->
<!--  <if test="pkPayterm != null and pkPayterm != ''"> pk_payterm = #{pkPayterm},</if>-->
<!--  <if test="pkPricegroupcorp != null and pkPricegroupcorp != ''"> pk_pricegroupcorp = #{pkPricegroupcorp},</if>-->
<!--  <if test="pkRespdept1 != null and pkRespdept1 != ''"> pk_respdept1 = #{pkRespdept1},</if>-->
<!--  <if test="pkResppsn1 != null and pkResppsn1 != ''"> pk_resppsn1 = #{pkResppsn1},</if>-->
<!--  <if test="pkSalestru != null and pkSalestru != ''"> pk_salestru = #{pkSalestru},</if>-->
<!--  <if test="pkSendtype != null and pkSendtype != ''"> pk_sendtype = #{pkSendtype},</if>-->
<!--  <if test="pkSettleunit != null and pkSettleunit != ''"> pk_settleunit = #{pkSettleunit},</if>-->
<!--  <if test="pkStordoc2 != null and pkStordoc2 != ''"> pk_stordoc2 = #{pkStordoc2},</if>-->
<!--  <if test="prepaidratio != null"> prepaidratio = #{prepaidratio},</if>-->
<!--  <if test="ratifydate != null and ratifydate != ''"> ratifydate = #{ratifydate},</if>-->
<!--  <if test="sealflag != null and sealflag != ''"> sealflag = #{sealflag},</if>-->
<!--  <if test="stockpriceratio != null"> stockpriceratio = #{stockpriceratio},</if>-->
<!--  <if test="testsalemoney != null and testsalemoney != ''"> testsalemoney = #{testsalemoney},</if>-->
<!--  <if test="ts != null and ts != ''"> ts = #{ts},</if>-->
<!--</trim>-->
<!--where pk_cumandoc = #{pkCumandoc}-->
<!--</update>-->
<!-- 逻辑删除 -->
<!--<update id="entity_logicDelete" parameterType = "com.hzya.frame.plugin.lets.entity.BdCumandocEntity" >-->
<!--update bd_cumandoc  set sts= 'N'-->
<!--where pk_cumandoc = #{pkCumandoc}-->
<!--</update>-->
<!--&lt;!&ndash; 多条件逻辑删除 &ndash;&gt;-->
<!--<update id="entity_logicDelete_Multi_Condition" parameterType = "com.hzya.frame.plugin.lets.entity.BdCumandocEntity" >-->
<!--update bd_cumandoc  set sts= 'N' -->
<!-- <trim prefix="where" prefixOverrides="and"> -->
<!--        <if test="accawmny != null and accawmny != ''"> and accawmny = #{accawmny} </if>-->
<!--            <if test="acclimit != null and acclimit != ''"> and acclimit = #{acclimit} </if>-->
<!--            <if test="acclimitcontrol != null and acclimitcontrol != ''"> and acclimitcontrol = #{acclimitcontrol} </if>-->
<!--            <if test="acclmtbegindate != null and acclmtbegindate != ''"> and acclmtbegindate = #{acclmtbegindate} </if>-->
<!--            <if test="balancemny != null and balancemny != ''"> and balancemny = #{balancemny} </if>-->
<!--            <if test="bp != null and bp != ''"> and bp = #{bp} </if>-->
<!--            <if test="busawmny != null and busawmny != ''"> and busawmny = #{busawmny} </if>-->
<!--            <if test="cmnecode != null and cmnecode != ''"> and cmnecode = #{cmnecode} </if>-->
<!--            <if test="cooperateflag != null and cooperateflag != ''"> and cooperateflag = #{cooperateflag} </if>-->
<!--            <if test="cooperatingdayfrom != null and cooperatingdayfrom != ''"> and cooperatingdayfrom = #{cooperatingdayfrom} </if>-->
<!--            <if test="cooperatingdayto != null and cooperatingdayto != ''"> and cooperatingdayto = #{cooperatingdayto} </if>-->
<!--            <if test="correspsettleunit != null and correspsettleunit != ''"> and correspsettleunit = #{correspsettleunit} </if>-->
<!--            <if test="createtime != null and createtime != ''"> and createtime = #{createtime} </if>-->
<!--            <if test="creator != null and creator != ''"> and creator = #{creator} </if>-->
<!--            <if test="creditcontrol != null and creditcontrol != ''"> and creditcontrol = #{creditcontrol} </if>-->
<!--            <if test="creditlevel != null and creditlevel != ''"> and creditlevel = #{creditlevel} </if>-->
<!--            <if test="creditlimitnum != null and creditlimitnum != ''"> and creditlimitnum = #{creditlimitnum} </if>-->
<!--            <if test="creditmny != null and creditmny != ''"> and creditmny = #{creditmny} </if>-->
<!--            <if test="creditmoney != null and creditmoney != ''"> and creditmoney = #{creditmoney} </if>-->
<!--            <if test="credlimitflag != null"> and credlimitflag = #{credlimitflag} </if>-->
<!--            <if test="custflag != null and custflag != ''"> and custflag = #{custflag} </if>-->
<!--            <if test="custstate != null"> and custstate = #{custstate} </if>-->
<!--            <if test="def1 != null and def1 != ''"> and def1 = #{def1} </if>-->
<!--            <if test="def10 != null and def10 != ''"> and def10 = #{def10} </if>-->
<!--            <if test="def11 != null and def11 != ''"> and def11 = #{def11} </if>-->
<!--            <if test="def12 != null and def12 != ''"> and def12 = #{def12} </if>-->
<!--            <if test="def13 != null and def13 != ''"> and def13 = #{def13} </if>-->
<!--            <if test="def14 != null and def14 != ''"> and def14 = #{def14} </if>-->
<!--            <if test="def15 != null and def15 != ''"> and def15 = #{def15} </if>-->
<!--            <if test="def16 != null and def16 != ''"> and def16 = #{def16} </if>-->
<!--            <if test="def17 != null and def17 != ''"> and def17 = #{def17} </if>-->
<!--            <if test="def18 != null and def18 != ''"> and def18 = #{def18} </if>-->
<!--            <if test="def19 != null and def19 != ''"> and def19 = #{def19} </if>-->
<!--            <if test="def2 != null and def2 != ''"> and def2 = #{def2} </if>-->
<!--            <if test="def20 != null and def20 != ''"> and def20 = #{def20} </if>-->
<!--            <if test="def21 != null and def21 != ''"> and def21 = #{def21} </if>-->
<!--            <if test="def22 != null and def22 != ''"> and def22 = #{def22} </if>-->
<!--            <if test="def23 != null and def23 != ''"> and def23 = #{def23} </if>-->
<!--            <if test="def24 != null and def24 != ''"> and def24 = #{def24} </if>-->
<!--            <if test="def25 != null and def25 != ''"> and def25 = #{def25} </if>-->
<!--            <if test="def26 != null and def26 != ''"> and def26 = #{def26} </if>-->
<!--            <if test="def27 != null and def27 != ''"> and def27 = #{def27} </if>-->
<!--            <if test="def28 != null and def28 != ''"> and def28 = #{def28} </if>-->
<!--            <if test="def29 != null and def29 != ''"> and def29 = #{def29} </if>-->
<!--            <if test="def3 != null and def3 != ''"> and def3 = #{def3} </if>-->
<!--            <if test="def30 != null and def30 != ''"> and def30 = #{def30} </if>-->
<!--            <if test="def4 != null and def4 != ''"> and def4 = #{def4} </if>-->
<!--            <if test="def5 != null and def5 != ''"> and def5 = #{def5} </if>-->
<!--            <if test="def6 != null and def6 != ''"> and def6 = #{def6} </if>-->
<!--            <if test="def7 != null and def7 != ''"> and def7 = #{def7} </if>-->
<!--            <if test="def8 != null and def8 != ''"> and def8 = #{def8} </if>-->
<!--            <if test="def9 != null and def9 != ''"> and def9 = #{def9} </if>-->
<!--            <if test="developdate != null and developdate != ''"> and developdate = #{developdate} </if>-->
<!--            <if test="diffcurrflag != null and diffcurrflag != ''"> and diffcurrflag = #{diffcurrflag} </if>-->
<!--            <if test="discountrate != null and discountrate != ''"> and discountrate = #{discountrate} </if>-->
<!--            <if test="dr != null"> and dr = #{dr} </if>-->
<!--            <if test="freeofacclmtcheck != null and freeofacclmtcheck != ''"> and freeofacclmtcheck = #{freeofacclmtcheck} </if>-->
<!--            <if test="freeofcremnycheck != null and freeofcremnycheck != ''"> and freeofcremnycheck = #{freeofcremnycheck} </if>-->
<!--            <if test="frozendate != null and frozendate != ''"> and frozendate = #{frozendate} </if>-->
<!--            <if test="frozenflag != null and frozenflag != ''"> and frozenflag = #{frozenflag} </if>-->
<!--            <if test="grade != null"> and grade = #{grade} </if>-->
<!--            <if test="innerctldays != null"> and innerctldays = #{innerctldays} </if>-->
<!--            <if test="iounit != null and iounit != ''"> and iounit = #{iounit} </if>-->
<!--            <if test="isagent != null and isagent != ''"> and isagent = #{isagent} </if>-->
<!--            <if test="ispromtesettlement != null and ispromtesettlement != ''"> and ispromtesettlement = #{ispromtesettlement} </if>-->
<!--            <if test="linkman != null and linkman != ''"> and linkman = #{linkman} </if>-->
<!--            <if test="memo != null and memo != ''"> and memo = #{memo} </if>-->
<!--            <if test="mobilephone != null and mobilephone != ''"> and mobilephone = #{mobilephone} </if>-->
<!--            <if test="modifier != null and modifier != ''"> and modifier = #{modifier} </if>-->
<!--            <if test="modifytime != null and modifytime != ''"> and modifytime = #{modifytime} </if>-->
<!--            <if test="ordawmny != null and ordawmny != ''"> and ordawmny = #{ordawmny} </if>-->
<!--            <if test="pkCalbody != null and pkCalbody != ''"> and pk_calbody = #{pkCalbody} </if>-->
<!--            <if test="pkCorp != null and pkCorp != ''"> and pk_corp = #{pkCorp} </if>-->
<!--            <if test="pkCubasdoc != null and pkCubasdoc != ''"> and pk_cubasdoc = #{pkCubasdoc} </if>-->
<!--            <if test="pkCumandoc != null and pkCumandoc != ''"> and pk_cumandoc = #{pkCumandoc} </if>-->
<!--            <if test="pkCurrtype1 != null and pkCurrtype1 != ''"> and pk_currtype1 = #{pkCurrtype1} </if>-->
<!--            <if test="pkCusmandoc2 != null and pkCusmandoc2 != ''"> and pk_cusmandoc2 = #{pkCusmandoc2} </if>-->
<!--            <if test="pkCusmandoc3 != null and pkCusmandoc3 != ''"> and pk_cusmandoc3 = #{pkCusmandoc3} </if>-->
<!--            <if test="pkDefbusitype != null and pkDefbusitype != ''"> and pk_defbusitype = #{pkDefbusitype} </if>-->
<!--            <if test="pkPayterm != null and pkPayterm != ''"> and pk_payterm = #{pkPayterm} </if>-->
<!--            <if test="pkPricegroupcorp != null and pkPricegroupcorp != ''"> and pk_pricegroupcorp = #{pkPricegroupcorp} </if>-->
<!--            <if test="pkRespdept1 != null and pkRespdept1 != ''"> and pk_respdept1 = #{pkRespdept1} </if>-->
<!--            <if test="pkResppsn1 != null and pkResppsn1 != ''"> and pk_resppsn1 = #{pkResppsn1} </if>-->
<!--            <if test="pkSalestru != null and pkSalestru != ''"> and pk_salestru = #{pkSalestru} </if>-->
<!--            <if test="pkSendtype != null and pkSendtype != ''"> and pk_sendtype = #{pkSendtype} </if>-->
<!--            <if test="pkSettleunit != null and pkSettleunit != ''"> and pk_settleunit = #{pkSettleunit} </if>-->
<!--            <if test="pkStordoc2 != null and pkStordoc2 != ''"> and pk_stordoc2 = #{pkStordoc2} </if>-->
<!--            <if test="prepaidratio != null"> and prepaidratio = #{prepaidratio} </if>-->
<!--            <if test="ratifydate != null and ratifydate != ''"> and ratifydate = #{ratifydate} </if>-->
<!--            <if test="sealflag != null and sealflag != ''"> and sealflag = #{sealflag} </if>-->
<!--            <if test="stockpriceratio != null"> and stockpriceratio = #{stockpriceratio} </if>-->
<!--            <if test="testsalemoney != null and testsalemoney != ''"> and testsalemoney = #{testsalemoney} </if>-->
<!--            <if test="ts != null and ts != ''"> and ts = #{ts} </if>-->
<!--            and sts='Y'-->
<!--    </trim>-->
<!--</update>-->
<!--&lt;!&ndash;通过主键删除&ndash;&gt;-->
<!--<delete id="entity_delete">-->
<!--    delete from bd_cumandoc where pk_cumandoc = #{pkCumandoc}-->
<!--</delete>-->
</mapper>

